#include<conio.h>
#include<stdio.h>
#include<iostream.h>

float cc,factura,descuento,vt,rec,ga,rect;
int dia;
char nombre[15];
 void main()
 {
   clrscr();
     puts("cual es su nombre?\n\n");
     gets(nombre);
     cout<<"\n\ndigite el # de su cedula:";
     cin>>cc;
     cout<<"\n\ningrese el valor de su factura:";
     cin>>factura;
     cout<<"\n\nsi va ha caselar digite el dia:";
     cin>>dia;

	  if(dia<=10)
	   {
	     descuento=((factura*3)/100);
	     vt=(factura-descuento);
	      printf("\n\nCANCELANDO ANTICIPADAMENTE\n\n");
	      printf("su nombre es:%15s\n\n",nombre);
	      printf("y su cedula de ciudadania es:%f\n\n",cc);
	      printf("su deuda es de:%f\n\n",factura);
	      printf("el descuento efectuado por pronto pago es de:%f\n\n",descuento);
	      printf("el valor neto a cancelar en efectivo es:%f\n\n",vt);
	    }
	     else if(dia >=11&&dia<=20)
		   {
		    printf("\n\nCANCELANDO AL DIA\n\n");
		    printf("su nombre es:%15s\n\n",nombre);
		    printf("y su cedula de ciudadania es:%f\n\n",cc);
		    printf("su deuda es de:%f\n\n",factura);
		    printf("NO tiene descuento por pagotardio\n\n");
		    printf("el valor neto a cancelar en efectivo es:%f\n\n",factura);

	    }
			else if(dia >=21&&dia<=31)
			     {
			       rec=((factura*3.5)/100);
			       ga=5000;
			       rect=(rec+5000);
			       vt=(rect+factura);

			       printf("\n\nCANCELANDO TARDIAMENTE\n\n");
			       printf("su nombre es:%15s\n\n",nombre);
			       printf("y su cedula de ciudadania es:%f\n\n",cc);
			       printf("su deuda es de:%f\n\n",factura);
			       printf(" tiene un recargo por pagar tardiamente de :%f\n\n",rect);
			       printf("el valor neto a cancelar en efectivo es:%f\n\n",vt);

			      }
			      /*	else

				    printf("el dia fue mal digitado intente nuevamente\n");  */
     getch();

     }
